Lavalite package that provides campaigns management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `annie/campaigns`.

    "annie/campaigns": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Annie\Campaigns\Providers\CampaignsServiceProvider::class,

And also add it to alias

    'Campaigns'  => Annie\Campaigns\Facades\Campaigns::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Annie\\CampaignsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Annie\Campaigns\Providers\CampaignsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Annie\Campaigns\Providers\CampaignsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Annie\Campaigns\Providers\CampaignsServiceProvider" --tag="view"


## Usage


