<?php

namespace Annie\Campaigns\Repositories\Eloquent;

use Annie\Campaigns\Interfaces\CampaignVolunteerRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CampaignVolunteerRepository extends BaseRepository implements CampaignVolunteerRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.campaigns.campaign_volunteer.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.campaigns.campaign_volunteer.model.model');
    }
}
