<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignKindSupportsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaign_kind_supports
         */
        Schema::create('campaign_kind_supports', function ($table) {
            $table->increments('id');
            $table->integer('campaign_id')->nullable();
            $table->integer('kind_support_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaign_kind_supports');
    }
}
