<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for campaign in campaigns package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  campaign module in campaigns package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Campaign',
    'names'         => 'Campaigns',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Campaigns',
        'sub'   => 'Campaigns',
        'list'  => 'List of campaigns',
        'edit'  => 'Edit campaign',
        'create'    => 'Create new campaign'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'work_area'                  => 'Please enter work area',
        'programme'                  => '',
        'activity_area'              => 'Activity Area',
        'is_featured'                => 'Please enter is featured',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'images'                     => 'Please enter images',
        'videos'                     => 'Please enter videos',
        'fund_raised'                => 'Please enter fund raised',
        'is_special'                 => 'Please enter is special',
        'category_id'                => 'Please enter category id',
        'sub_category_id'            => 'Please enter sub category id',
        'donation_amount'            => 'Please enter donation amount',
        'keyword'                    => 'Please enter keyword',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'work_area'                  => 'Work area',
        'programme'                  => '',
        'activity_area'              => 'Activity Area',
        'is_featured'                => 'Is featured',
        'title'                      => 'Title',
        'description'                => 'Description',
        'images'                     => 'Images',
        'videos'                     => 'Videos',
        'fund_raised'                => 'Fund raised',
        'is_special'                 => 'Is special',
        'category_id'                => 'Category id',
        'sub_category_id'            => 'Sub category id',
        'donation_amount'            => 'Donation amount',
        'keyword'                    => 'Keyword',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'start_date'                 => ['name' => 'Start date', 'data-column' => 1, 'checked'],
        'end_date'                   => ['name' => 'End date', 'data-column' => 2, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 3, 'checked'],
        'fund_raised'                => ['name' => 'Fund raised', 'data-column' => 4, 'checked'],
        'is_special'                 => ['name' => 'Is special', 'data-column' => 5, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 6, 'checked'],
        'sub_category_id'            => ['name' => 'Sub category id', 'data-column' => 7, 'checked'],
        'donation_amount'            => ['name' => 'Donation amount', 'data-column' => 8, 'checked'],
        'keyword'                    => ['name' => 'Keyword', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Campaigns',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
