<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for campaign_volunteer in campaigns package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  campaign_volunteer module in campaigns package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'CampaignVolunteer',
    'names'         => 'CampaignVolunteers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'CampaignVolunteers',
        'sub'   => 'CampaignVolunteers',
        'list'  => 'List of campaign_volunteers',
        'edit'  => 'Edit campaign_volunteer',
        'create'    => 'Create new campaign_volunteer'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'campaign_id'                => 'Please enter campaign id',
        'volunteer_id'               => 'Please enter volunteer id',
        'updated_at'                 => 'Please select updated at',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'campaign_id'                => 'Campaign id',
        'volunteer_id'               => 'Volunteer id',
        'updated_at'                 => 'Updated at',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'CampaignVolunteers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
