    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#campaign" data-toggle="tab">{!! trans('campaigns::campaign.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#campaigns-campaign-edit'  data-load-to='#campaigns-campaign-entry' data-datatable='#campaigns-campaign-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#campaigns-campaign-entry' data-href='{{guard_url('campaigns/campaign')}}/{{$campaign->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('campaigns-campaign-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('campaigns/campaign/'. $campaign->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="campaign">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('campaigns::campaign.name') !!} [{!!$campaign->name!!}] </div>
                @include('campaigns::admin.campaign.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>