            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='start_date' class='control-label'>{!!trans('campaigns::campaign.label.start_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('start_date')
                        -> placeholder(trans('campaigns::campaign.placeholder.start_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='end_date' class='control-label'>{!!trans('campaigns::campaign.label.end_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('end_date')
                        -> placeholder(trans('campaigns::campaign.placeholder.end_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('work_area')
                    -> options(trans('campaigns::campaign.options.work_area'))
                    -> label(trans('campaigns::campaign.label.work_area'))
                    -> required()
                    -> placeholder(trans('campaigns::campaign.placeholder.work_area'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('programme')
                    -> options(trans('campaigns::campaign.options.programme'))
                    -> label(trans('campaigns::campaign.label.programme'))
                    -> required()
                    -> placeholder(trans('campaigns::campaign.placeholder.programme'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('activity_area')
                    -> options(trans('campaigns::campaign.options.activity_area'))
                    -> label(trans('campaigns::campaign.label.activity_area'))
                    -> required()
                    -> placeholder(trans('campaigns::campaign.placeholder.activity_area'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::hidden('is_featured')
                   -> forceValue('0')!!}
                   {!! Form::checkbox('is_featured')
                   -> label(trans('campaigns::campaign.label.is_featured'))
                   -> addClass('js-switch')!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title')
                       -> label(trans('campaigns::campaign.label.title'))
                       -> required()
                       -> placeholder(trans('campaigns::campaign.placeholder.title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('description')
                       -> label(trans('campaigns::campaign.label.description'))
                       -> required()
                       -> placeholder(trans('campaigns::campaign.placeholder.description'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('campaigns::campaign.label.images') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $campaign->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($campaign->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $campaign->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="files" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('campaigns::campaign.label.videos') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $campaign->files('files')
                            ->url($campaign->getUploadUrl('files'))
                            ->mime(config('filer.allowed_extensions'))
                            ->files()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $campaign->files('files')
                            ->editor()!!}
                        </div>
                    </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::decimal('fund_raised')
                       -> label(trans('campaigns::campaign.label.fund_raised'))
                       -> placeholder(trans('campaigns::campaign.placeholder.fund_raised'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_checkboxes('is_special[]')
                   -> checkboxes(trans('campaigns::campaign.options.is_special'))
                   -> label(trans('campaigns::campaign.label.is_special'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('category_id')
                    -> options(trans('campaigns::campaign.options.category_id'))
                    -> label(trans('campaigns::campaign.label.category_id'))
                    -> required()
                    -> placeholder(trans('campaigns::campaign.placeholder.category_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('sub_category_id')
                    -> options(trans('campaigns::campaign.options.sub_category_id'))
                    -> label(trans('campaigns::campaign.label.sub_category_id'))
                    -> placeholder(trans('campaigns::campaign.placeholder.sub_category_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::decimal('donation_amount')
                       -> label(trans('campaigns::campaign.label.donation_amount'))
                       -> placeholder(trans('campaigns::campaign.placeholder.donation_amount'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('keyword')
                       -> label(trans('campaigns::campaign.label.keyword'))
                       -> placeholder(trans('campaigns::campaign.placeholder.keyword'))!!}
                </div>
            </div>