<?php

// Resource routes  for campaign
Route::group(['prefix' => set_route_guard('web').'/campaigns'], function () {
    Route::resource('campaign', 'CampaignResourceController');
});

// Public  routes for campaign
Route::get('campaign/popular/{period?}', 'CampaignPublicController@popular');
Route::get('campaigns/', 'CampaignPublicController@index');
Route::get('campaigns/{slug?}', 'CampaignPublicController@show');


// Resource routes  for campaign_kind_support
Route::group(['prefix' => set_route_guard('web').'/campaigns'], function () {
    Route::resource('campaign_kind_support', 'CampaignKindSupportResourceController');
});



// Resource routes  for campaign_volunteer
Route::group(['prefix' => set_route_guard('web').'/campaigns'], function () {
    Route::resource('campaign_volunteer', 'CampaignVolunteerResourceController');
});


